<div class="max-w-xl mx-auto text-center text-gray-100 bg-gray-800 p-8 rounded-lg shadow-lg my-8">

    <div class="flex justify-between items-center mb-6">
        <!-- Player score section -->
        <div class="bg-gray-700 text-white p-2 rounded mt-6">
            <span class="block text-xs font-vazirmatn">امتیاز</span>
            <span class="text-lg font-vazirmatn">0</span>
        </div>
        <!-- Player score section -->

        <div class="text-white">
            <h1 class="text-8xl font-bold mb-1 font-vazirmatn">۲۰۴۸</h1>
            <p class="my-2 mx-2 text-gray-400 font-vazirmatn">خود را برای رسیدن به <strong>۲۰۴۸</strong> به چالش بکشید! </p>
        </div>

        <!-- Highest score section -->
        <div class="bg-gray-700 text-white p-2 rounded mt-6">
            <span class="block text-xs font-vazirmatn">بهترین</span>
            <span class="text-lg font-vazirmatn">0</span>
        </div>
        <!-- Highest score section -->
    </div>

    <div class="flex justify-center items-center mb-6">
        <!-- Reset game button -->
        <button class="font-vazirmatn bg-gradient-to-r from-blue-500 to-blue-700 text-white py-2 px-4 rounded-lg shadow-lg hover:from-gray-600 hover:to-blue-800 transition duration-300 ease-in-out transform hover:scale-105 focus:outline-none focus:ring-2 focus:ring-blue-500 flex items-center">
            <svg class="w-6 h-6 text-blue-800 dark:text-white" aria-hidden="true" xmlns="http://www.w3.org/2000/svg" width="24" height="24" fill="none" viewBox="0 0 24 24">
                <path stroke="currentColor" stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M8 18V6l8 6-8 6Z"/>
            </svg>
            شروع بازی جدید
        </button>
        <!-- Reset game button -->
    </div>

    <div class="my-4">
        <hr class="border-t border-white" />
    </div>

    <!-- Game message Section -->
    <div class="mt-4 text-center text-lg text-green-600 font-vazirmatn">
        <!-- Show game message -->
    </div>
    <!-- Game message Section -->

    <!-- Game grid Section -->
    <div class="grid grid-cols-4 gap-4 bg-gray-700 p-4 rounded-lg relative mt-8 justify-items-center" dir="ltr">
  
        <!-- Grid cells Section -->
        <div class="text-4xl h-24 w-24 flex items-center justify-center rounded-lg shadow-inner my-1
            @if ($cell === 0) bg-gray-800 text-transparent
            @elseif ($cell === 2) bg-gray-200 text-black
            @elseif ($cell === 4) bg-gray-300 text-black
            @elseif ($cell === 8) bg-yellow-200 text-black
            @elseif ($cell === 16) bg-yellow-300 text-black
            @elseif ($cell === 32) bg-yellow-400 text-white
            @elseif ($cell === 64) bg-orange-300 text-white
            @elseif ($cell === 128) bg-orange-400 text-white
            @elseif ($cell === 256) bg-orange-500 text-white
            @elseif ($cell === 512) bg-red-300 text-white
            @elseif ($cell === 1024) bg-red-400 text-white
            @elseif ($cell === 2048) bg-red-500 text-white
            @endif">
        </div>
        <!-- Grid cells Section -->

        <!-- Gameover and restart Section -->
        <div class="absolute inset-0 flex flex-col items-center justify-center bg-black bg-opacity-70 rounded-lg" dir="rtl">
            <h2 class="text-3xl font-bold text-white mb-4 font-vazirmatn"></h2>
            <button class="mt-4 px-4 py-2 bg-white text-gray-800 rounded-lg font-vazirmatn">شروع بازی جدید</button>
        </div>
        <!-- Gameover and restart Section -->
    </div>
    <!-- Game grid Section -->


    <div class="flex justify-between items-center mt-6">
        <!-- Undo action button -->
        <button class="font-vazirmatn bg-gradient-to-r from-gray-500 to-gray-700 text-white py-2 px-4 rounded-lg shadow-lg hover:from-gray-600 hover:to-gray-800 transition duration-300 ease-in-out transform hover:scale-105 focus:outline-none focus:ring-2 focus:ring-gray-500 flex items-center">
            <svg class="w-6 h-6 text-gray-800 dark:text-white" aria-hidden="true" xmlns="http://www.w3.org/2000/svg" width="24" height="24" fill="none" viewBox="0 0 24 24">
                <path stroke="currentColor" stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M8 18V6l8 6-8 6Z"/>
            </svg>
            برگشت حرکت (0)
        </button>
        <!-- Undo action button -->

        <!-- Delete tile button -->
        <button class="font-vazirmatn bg-gradient-to-r from-red-500 to-red-700 text-white py-2 px-4 rounded-lg shadow-lg hover:from-red-600 hover:to-red-800 transition duration-300 ease-in-out transform hover:scale-105 focus:outline-none focus:ring-2 focus:ring-red-500 flex items-center">
            <svg class="w-6 h-6 text-gray-800 dark:text-white" aria-hidden="true" xmlns="http://www.w3.org/2000/svg" width="24" height="24" fill="none" viewBox="0 0 24 24">
                <path stroke="currentColor" stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M6 18L18 6M6 6l12 12" />
            </svg>
            حذف کاشی (0)
        </button>
        <!-- Delete tile button -->

        <!-- Swap tile button -->
        <button class="font-vazirmatn bg-gradient-to-r from-yellow-500 to-yellow-700 text-white py-2 px-4 rounded-lg shadow-lg hover:from-yellow-600 hover:to-yellow-800 transition duration-300 ease-in-out transform hover:scale-105 focus:outline-none focus:ring-2 focus:ring-yellow-500 flex items-center">
            <svg class="w-6 h-6 text-gray-800 dark:text-white" aria-hidden="true" xmlns="http://www.w3.org/2000/svg" width="24" height="24" fill="none" viewBox="0 0 24 24">
                <path stroke="currentColor" stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M20 12H4M20 12l-4 4m4-4l-4-4" />
            </svg>
            تعویض دو کاشی (0)
        </button>
        <!-- Swap tile button -->
    </div>
    
    <script>
        document.addEventListener('keydown', function (event) {
            let direction = '';

            switch (event.key) {
                case 'ArrowUp':
                    direction = 'up';
                    @this.move('up');
                    break;
                case 'ArrowDown':
                    direction = 'down';
                    @this.move('down');
                    break;
                case 'ArrowLeft':
                    direction = 'left';
                    @this.move('left');
                    break;
                case 'ArrowRight':
                    direction = 'right';
                    @this.move('right');
                    break;
            }

        });
    </script>
</div>
