<?php

namespace Tests\Feature;

use Livewire\Livewire;
use Tests\TestCase;

class Game2048SampleTest extends TestCase
{
    public function test1()
    {
        Livewire::test('App\Livewire\Game2048')
            ->set('grid', [
                [0, 0, 0, 2],
                [0, 0, 2, 2],
                [4, 0, 4, 0],
                [0, 2, 2, 0],
            ])
            ->call('move', 'left')
            ->assertSet('score', 16)
            ->assertSet('highScore', 16)
            ->assertSet('grid.0.0', 2)
            ->assertSet('grid.1.0', 4)
            ->assertSet('grid.3.0', 4)
            ->assertSet('grid.2.0', 8);
    }

    public function test2()
    {
        Livewire::test('App\Livewire\Game2048')
            ->set('grid', [
                [0, 0, 4, 4],
                [2, 2, 0, 0],
                [16, 16, 0, 0],
                [0, 8, 8, 0],
            ])
            ->call('move', 'right')
            ->assertSet('score', 60)
            ->assertSet('grid.0.3', 8)
            ->assertSet('grid.1.3', 4)
            ->assertSet('grid.2.3', 32)
            ->assertSet('grid.3.3', 16);
    }
}
